- release_tracks: [ALPHA]

  help_text:
    brief: Get the IAM policy for a topic.
    description: |
      *{command}* displays the IAM policy associated with a topic.
      If formatted as JSON, the output can be edited and used as
      a policy file for *set-iam-policy*. The output includes an "etag"
      field identifying the version emitted and allowing detection of
      concurrent policy updates; see
      $ {parent} set-iam-policy for additional details.
    examples: |
      To print the IAM policy for a given topic, run:

        $ {command} my-topic

  request:
    collection: pubsub.projects.topics

  arguments:
    resource:
      help_text: The topic for which to display the IAM policy.
      spec: !REF googlecloudsdk.command_lib.pubsub.resources:topic
